Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.grizzly
Class JettyPipeline

    java.lang.Object
      org.mortbay.jetty.grizzly.JettyPipeline

    public class JettyPipeline

extends Object

Wrapper around Jetty's BoundedThreadPool Pool. TODO: Support ThreadPool directly.

Author:
  Jeanfrancois Arcand

Constructor Summary
`JettyPipeline()`

Method Summary
`void` | `addTask(Task task)`
`int` | `getCurrentThreadCount()`
`int` | `getCurrentThreadsBusy()`
`int` | `getMaxSpareThreads()`
`int` | `getMaxThreads()`
`int` | `getMinSpareThreads()`
`String` | `getName()`
`PipelineStatistic` | `getPipelineStatistic()`
`Task` | `getTask()`
`int` | `getWaitingThread()`
`void` | `initPipeline()`
`boolean` | `interruptThread(long l)`
`void` | `setMaxThreads(int i)`
`void` | `setMinSpareThreads(int i)`
`void` | `setMinThreads(int i)`
`void` | `setName(String string)`
`void` | `setPipelineStatistic(PipelineStatistic pipelineStatistic)`
`void` | `setPort(int i)`
`void` | `setPriority(int i)`
`void` | `setQueueSizeInBytes(int i)`
`void` | `setThreadPool(BoundedThreadPool threadPool)`
`void` | `setThreadsIncrement(int i)`
`void` | `setThreadsTimeout(int i)`
`int` | `size()`
`void` | `startPipeline()`
`void` | `stopPipeline()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyPipeline

    public JettyPipeline()

Method Detail

### setThreadPool

    public void setThreadPool(BoundedThreadPool threadPool)

### addTask

    public void addTask(Task task)

### getTask

    public Task getTask()

### getWaitingThread

    public int getWaitingThread()

### getMaxThreads

    public int getMaxThreads()

### getCurrentThreadCount

    public int getCurrentThreadCount()

### getCurrentThreadsBusy

    public int getCurrentThreadsBusy()

### initPipeline

    public void initPipeline()

### getName

    public String getName()

### startPipeline

    public void startPipeline()

### stopPipeline

    public void stopPipeline()

### setPriority

    public void setPriority(int i)

### setMaxThreads

    public void setMaxThreads(int i)

### setMinThreads

    public void setMinThreads(int i)

### setPort

    public void setPort(int i)

### setName

    public void setName(String string)

### setQueueSizeInBytes

    public void setQueueSizeInBytes(int i)

### setThreadsIncrement

    public void setThreadsIncrement(int i)

### setThreadsTimeout

    public void setThreadsTimeout(int i)

### setPipelineStatistic

    public void setPipelineStatistic(PipelineStatistic pipelineStatistic)

### getPipelineStatistic

    public PipelineStatistic getPipelineStatistic()

### size

    public int size()

### getMaxSpareThreads

    public int getMaxSpareThreads()

### getMinSpareThreads

    public int getMinSpareThreads()

### setMinSpareThreads

    public void setMinSpareThreads(int i)

### interruptThread

    public boolean interruptThread(long l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.